<include file="public@header"/>
<style type="text/css">
    .pic-list li {
        margin-bottom: 5px;
    }
</style>
<script type="text/html" id="photos-item-tpl">
    <li id="saved-image{id}">
        <input id="photo-{id}" type="hidden" name="photo_urls[]" value="{filepath}">
        <input class="form-control" id="photo-{id}-name" type="text" name="photo_names[]" value="{name}"
               style="width: 200px;" title="图片名称">
        <img id="photo-{id}-preview" src="{url}" style="height:36px;width: 36px;"
             onclick="imagePreviewDialog(this.src);">
        <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#photo-{id}');">替换</a>
        <a href="javascript:(function(){$('#saved-image{id}').remove();})();">移除</a>
    </li>
</script>
<script type="text/html" id="files-item-tpl">
    <li id="saved-file{id}">
        <input id="file-{id}" type="hidden" name="file_urls[]" value="{filepath}">
        <input class="form-control" id="file-{id}-name" type="text" name="file_names[]" value="{name}"
               style="width: 200px;" title="{:lang('FILE_NAME')}">
        <a id="file-{id}-preview" href="{preview_url}" target="_blank">下载</a>
        <a href="javascript:uploadOne('{:lang('FILE_UPLOAD')}','#file-{id}','file');">替换</a>
        <a href="javascript:(function(){$('#saved-file{id}').remove();})();">移除</a>
    </li>
</script>
</head>
<body>
<div class="wrap js-check-wrap">
    <ul class="nav nav-tabs">
        <li><a href="{:url('AdminPage/index')}">{:lang('ALL_PAGES')}</a></li>
        <li class="active"><a href="{:url('AdminPage/add')}">{:lang('ADD_PAGE')}</a></li>
    </ul>
    <form action="{:url('AdminPage/addPost')}" method="post" class="form-horizontal js-ajax-form margin-top-20">

        <div class="form-group">
            <label for="input-title" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('TYPE')}</label>
            <div class="col-md-6 col-sm-10">
                <select name="type" class="form-control">
                    <option value="0">{:lang('SINGLE_PAGE')}</option>
                    <option value="2">{:lang('USER_CENTER_DISPLAY')}</option>
                </select>
            </div>
        </div>

        <div class="form-group">
            <label for="input-title" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CHINESE_TITLE')}</label>
            <div class="col-md-6 col-sm-10">
                <input type="text" class="form-control" name="post_title" id="input-title" >
            </div>
        </div>


        <div class="form-group">
            <label for="input-title_en" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ENGLISH_TITLE')}</label>
            <div class="col-md-6 col-sm-10">
                <input type="text" class="form-control" name="post_title_en" id="input-title_en" >
            </div>
        </div>

        <div class="form-group">
            <label for="input-title" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CONTENT')}</label>
            <div class="col-md-6 col-sm-12">
                <script type="text/plain" id="content" name="post_content"></script>
            </div>
        </div>


        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">

                <button type="submit" class="btn btn-primary js-ajax-submit">{:lang('SAVE')}</button>
                <a class="btn btn-default" href="{:url('AdminPage/index')}">{:lang('BACK')}</a>
            </div>
        </div>

    </form>
</div>
<script type="text/javascript" src="__STATIC__/js/admin.js"></script>
<script type="text/javascript">
    //编辑器路径定义
    var editorURL = GV.WEB_ROOT;
</script>
<script type="text/javascript" src="__STATIC__/js/ueditor/ueditor.config.js"></script>
<script type="text/javascript" src="__STATIC__/js/ueditor/ueditor.all.min.js"></script>
<script type="text/javascript">
    $(function () {

        editorcontent = new baidu.editor.ui.Editor();
        editorcontent.render('content');
        try {
            editorcontent.sync();
        } catch (err) {
        }

        $('#more-template-select').val('page');
    });
</script>
</body>
</html>
